# -*- coding: utf-8 -*-
from odoo import api, models

from odoo.exceptions import AccessError
from odoo.tools.translate import _


class ResUsers(models.Model):
    _inherit = 'res.users'

    @api.model
    def change_password(self, old_passwd, new_passwd):
        raise AccessError(_('You are not allowed to change account passwords in demo databases.'))


class ChangePasswordWizard(models.TransientModel):
    _inherit = "change.password.wizard"

    def change_password_button(self):
        raise AccessError(_('You are not allowed to change account passwords in demo databases.'))
